import http  from "@/utils/request";
import config from "@/config"

export default  {
    login : {
        VerifyLogin : {
            url:`${config.baseUrl}/Mobile/VerifyLogin`,
            name:'测试',
            post : function(params){
                return http.post(this.url,params)
            }
        }
    },
    // 商品列表
    main : {
        ProductList : {
            url:`${config.baseUrl}/Mobile/ProductList`,
            name:'测试',
            get : function(params){
                return http.get(this.url,params)
            }
        }
    },
    my: {
        OrderList : {
            url:`${config.baseUrl}/Mobile/OrderList`,
            name:'测试',
            get : function(params){
                return http.get(this.url,params)
            }
        },
        OrderDetails : {
            url:`${config.baseUrl}/api/accountApi/gettIsDealCount`,
            name:'测试',
            get : function(params){
                return http.get(this.url,params)
            }
        }
    },
    order : {
        SaveOrder : {
            url:`${config.baseUrl}/sys/login`,
            name:'测试',
            post : function(params){
                return http.post(this.url,params)
            }
        }
    },
}

