import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [{
        path: '/',
        name: 'home',
        component: () =>
            import ('../views/login/login.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/login',
        name: 'login',
        component: () =>
            import ('../views/login/login.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/forget',
        name: 'forget',
        component: () =>
            import ('../views/login/forget.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/tab_a',
        name: 'tab_a',
        component: () =>
            import ('../views/tab_a/tab_a.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/toBeDone',
        name: 'toBeDone',
        component: () =>
            import ('../views/toBeDone/toBeDone.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/siteMan',
        name: 'siteMan',
        component: () =>
            import ('../views/siteMan/siteMan.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/activityMan',
        name: 'activityMan',
        component: () =>
            import ('../views/activityMan/activityMan.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, , {
        path: '/placeActivity',
        name: 'placeActivity',
        component: () =>
            import ('../views/activityMan/placeactivity/placeActivityView.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/setting',
        name: 'setting',
        component: () =>
            import ('../views/setting/setting.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/tabAll',
        name: 'tabAll',
        component: () =>
            import ('../views/tab_a/tabAll.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/about',
        name: 'about',
        component: () =>
            import ('../views/AboutView.vue'),
        meta: {
            isShowTarbar: false,
        }
    }
]

const router = createRouter({
    history: createWebHashHistory(),
    routes,
})

export default router